|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.tapestry.record.ClientPropertyPersistenceStrategy
public class ClientPropertyPersistenceStrategy
Service tapestry.persist.ClientPropertyPersistenceStrategy. Encodes persistent page properties on the client as query parameters.
Uses the threaded model.
ILink| Constructor Summary | |
|---|---|
ClientPropertyPersistenceStrategy()
|
|
| Method Summary | |
|---|---|
void |
addParametersForPersistentProperties(ServiceEncoding encoding,
boolean post)
Invoked by a LinkFactory , the
parameters may be modified (added to) to store information related to
persistent properties. |
void |
discardStoredChanges(String pageName)
Invoked to discard any stored changes for the specified page. |
ClientPropertyPersistenceScope |
getScope()
|
Collection |
getStoredChanges(String pageName)
Returns a collection of PropertyChanges. |
void |
initializeService()
Initializer for this service, invoked every time a service instance is created. |
void |
setEncoder(PersistentPropertyDataEncoder encoder)
|
void |
setRequest(WebRequest request)
|
void |
setScope(ClientPropertyPersistenceScope scope)
|
void |
store(String pageName,
String idPath,
String propertyName,
Object newValue)
Stores the new value. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public ClientPropertyPersistenceStrategy()
| Method Detail |
|---|
public void initializeService()
PersistentPropertyData, which are stored internally.
Because the service model is threaded, this information is specific to a single request, and
will be discarded at the end of the request.
public void store(String pageName,
String idPath,
String propertyName,
Object newValue)
PropertyPersistenceStrategy
store in interface PropertyPersistenceStrategypageName - the name of the page containing the propertyidPath - the path to the component with the property (may be null)propertyName - the name of the property to be persistednewValue - the new value (which may be null)public Collection getStoredChanges(String pageName)
PropertyPersistenceStrategyPropertyChanges.
These represent prior changes previously stored. The order is not
significant. Must not return null. Does not have to reflect changes made
during the current request (this method is typically invoked as part of
rolling back a page to a prior state, before any further changes are
possible).
getStoredChanges in interface PropertyPersistenceStrategypublic void discardStoredChanges(String pageName)
PropertyPersistenceStrategy
discardStoredChanges in interface PropertyPersistenceStrategy
public void addParametersForPersistentProperties(ServiceEncoding encoding,
boolean post)
PropertyPersistenceStrategyLinkFactory , the
parameters may be modified (added to) to store information related to
persistent properties. This method is forwarded to all
PropertyPersistenceStrategys.
addParametersForPersistentProperties in interface PropertyPersistenceStrategyencoding - Service encoding, which indentifies the URL and the query
parameters from which the
ILink will be
created.post - if true, then the link will be used for a post (not a get,
i.e., for a HTML form); this may affect what information is
encoded into the linkPropertyPersistenceStrategySourcepublic void setRequest(WebRequest request)
public ClientPropertyPersistenceScope getScope()
public void setScope(ClientPropertyPersistenceScope scope)
public void setEncoder(PersistentPropertyDataEncoder encoder)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||